-- Yanky mappings
vim.keymap.set({"n","x"}, "p", "<Plug>(YankyPutAfter)")
vim.keymap.set({"n","x"}, "P", "<Plug>(YankyPutBefore)")
vim.keymap.set({"n","x"}, "gp", "<Plug>(YankyGPutAfter)")
vim.keymap.set({"n","x"}, "gP", "<Plug>(YankyGPutBefore)")
-- vim.keymap.set("n", "<c-n>", "<Plug>(YankyCycleForward)")
-- vim.keymap.set("n", "<c-p>", "<Plug>(YankyCycleBackward)")
vim.keymap.set({"n","x"}, "y", "<Plug>(YankyYank)")
vim.keymap.set("n", "<leader>ff", "<cmd>Telescope find_files<CR>")
-- nnoremap <silent> <leader>f <cmd>Telescope find_files<CR>
-- nnoremap <silent> <leader>fg <cmd>Telescope live_grep<CR>
-- nnoremap <silent> <leader>o <cmd>Telescope buffers<CR>
-- nnoremap <silent> <leader>fh <cmd>Telescope help_tags<CR>
-- nnoremap <silent> <leader>F :e.<CR>
-- nnoremap <silent> <leader>O :BufExplorer<CR>
-- nnoremap <silent> <leader>t :CtrlPBufTagAll<CR>
-- nnoremap <silent> <leader>T :TagbarToggle<CR>
